Page MenuHomeFreeBSD

Introduce atomic_load() and atomic_store().
ClosedPublic

Authored by kib on Dec 18 2017, 5:11 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 9, 8:22 PM
Unknown Object (File)
Fri, Feb 9, 8:22 PM
Unknown Object (File)
Fri, Feb 9, 8:22 PM
Unknown Object (File)
Fri, Feb 9, 8:21 PM
Unknown Object (File)
Fri, Feb 9, 8:10 PM
Unknown Object (File)
Dec 28 2023, 10:53 PM
Unknown Object (File)
Dec 20 2023, 1:20 AM
Unknown Object (File)
Dec 3 2023, 1:11 PM

Details

Summary

This is the discussed patch with ops renamed (_relaxed removed). The documentation was stripped as well, the operations are explained in D13522.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

sys/vm/uma_core.c
3173 ↗(On Diff #36715)

I would suggest using atomic_load() here so that all accesses to this variable are made with explicit atomics. Or else, don't use atomic_store() below. In other words, I don't see an argument for using store below but not using load here.

I'm happy with the implementation. (I assume that the use cases will be committed separately.)

This revision is now accepted and ready to land.Dec 18 2017, 6:27 PM

Make all accesses to uma_reclaim_needed use atomic(9) KPI.

This revision now requires review to proceed.Dec 18 2017, 6:33 PM
sys/vm/uma_core.c
3173 ↗(On Diff #36717)

atomic_load_int?

With the caveat of fixing the atomic_load -> atomic_load_int alc@ already noted. Thanks for doing this.

This revision is now accepted and ready to land.Dec 18 2017, 10:12 PM
This revision was automatically updated to reflect the committed changes.